org.apache.geode.examples.security

## Class ExamplePostProcessor

- java.lang.Object
- - org.apache.geode.examples.security.ExamplePostProcessor

- All Implemented Interfaces:
    PostProcessor

      public class ExamplePostProcessor
      extends java.lang.Object
      implements PostProcessor

  This is example that implements PostProcessor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExamplePostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(java.util.Properties securityProps)` Given the security props of the server, properly initialize the post processor for the server.
    `java.lang.Object` | `processRegionValue(java.lang.Object principal, java.lang.String regionName, java.lang.Object key, java.lang.Object value)` This simply modifies the value with all the parameter values

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.security.PostProcessor

      `close`

- - ### Constructor Detail

    - #### ExamplePostProcessor

          public ExamplePostProcessor()

  - ### Method Detail

    - #### init

          public void init(java.util.Properties securityProps)

      Description copied from interface: `PostProcessor`
      Given the security props of the server, properly initialize the post processor for the server. Initialized at cache creation
      Specified by:
        `init` in interface `PostProcessor`
      Parameters:
        `securityProps` - security properties

    - #### processRegionValue

          public java.lang.Object processRegionValue(java.lang.Object principal,
                                                     java.lang.String regionName,
                                                     java.lang.Object key,
                                                     java.lang.Object value)

      This simply modifies the value with all the parameter values
      Specified by:
        `processRegionValue` in interface `PostProcessor`
      Parameters:
        `principal` - The principal that's accessing the value
        `regionName` - The region that's been accessed. This could be null.
        `key` - the key of the value that's been accessed. This could be null.
        `value` - the value, this could be null.
      Returns:
        the processed value